@echo off

REM   *** (need to include zlib & bzip2 DLLs in with the distribution too!) ***

if not exist  "AWSBrowse\x64"  mkdir  "AWSBrowse\x64"

xcopy  "%ZLIB_DIR%\zlib1.dll"        "AWSBrowse"       /V /C /F /H /R /K /O /X /Y
xcopy  "%ZLIB_DIR%\x64\zlib1.dll"    "AWSBrowse\x64"   /V /C /F /H /R /K /O /X /Y

xcopy  "%BZIP2_DIR%\libbz2.dll"      "AWSBrowse"       /V /C /F /H /R /K /O /X /Y
xcopy  "%BZIP2_DIR%\x64\libbz2.dll"  "AWSBrowse\x64"   /V /C /F /H /R /K /O /X /Y

REM             *** Running WinZip Jobs ***

set Release_filename=AWSBrowse32.exe

REM                ** PROGRAMMING NOTE **
REM
REM  The following presumes WinZip 10.0 Professional (or greater)
REM  has been installed (which is the first? version that supports
REM  WinZip "jobs"), and that .WJF filetypes have been properly
REM  associated with WinZip, and that the "Run the job" option has
REM  been specified in the WinZip options for jobs (and not the
REM  "Edit the Job" default) so that the jobs are automatically
REM  run instead of being edited.
REM
REM  Also note that if you modify a WinZip job, it will, by default,
REM  always pop up with a dialog asking if you want to run it or edit
REM  it, and I'm unable to find a way to prevent that from happening
REM  other than to manually modify the WinZip registry file value
REM  HKCU\Software\Nico Mak Computing\WinZip\WinZip\JobPromptOnRun
REM  to '0' (for no prompting). I've tried using "touch" to reset
REM  the files' timestamps but it doesn't seem to work. Either I'm
REM  doing something wrong or else WinZip is too smart for its own
REM  good (probably the latter).
REM


REM                ** PROGRAMMING NOTE **
REM
REM  We need to do it this way (creating a temporary copy of the
REM  actual job we wish to run and then run that temporary copy
REM  instead of the original) because for some odd reason WinZip
REM  refuses to include the job it's executing in with the rest of
REM  the files it's including in the job. Thus we make a copy of
REM  the actual job we wish to run and then run that temporary copy
REM  instead, so that the original job (that we made a copy of)
REM  thus gets included in with the rest of the files being zipped
REM  since it's not being executed; only the temp copy is (but not
REM  the original one that was copied so we could run it).
REM
REM  Another good/valid reason for doing it this way is so we can
REM  modify the original "generic" job so it uses filename values
REM  that contain the actual version of the binaries we just built.
REM


REM                 ** PROGRAMMING NOTE **
REM
REM  The "cut", "sed", etc, programs are pure Win32 equivalent ports
REM  of the nix originals obtained from the "UnxUtils" and "GnuWin32"
REM  packages since I no longer have Cygwin installed (search the web
REM  for where to find them).
REM
REM  The handy "verinfo" utility I found elsewhere on the web (again,
REM  do a search and you'll find it).
REM

if exist "*.zip"      del /f /q "*.zip"     > NUL
if exist "*temp.WJF"  del /f /q "*temp.WJF" > NUL

for /f %%i in ('verinfo Release^\%Release_filename% ^| find /i "ProductVersion" ^| cut -c 18-') do set vvvmmm=%%i

type bin.WJF | sed s/VVV.MMM.RRR.BBB/%vvvmmm%/ > bin-temp.WJF
type src.WJF | sed s/VVV.MMM.RRR.BBB/%vvvmmm%/ > src-temp.WJF

bin-temp.WJF
src-temp.WJF

if exist "*temp.WJF"  del /f /q "*temp.WJF" > NUL

goto :EOF
